## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           python-django-mailman3
Version:        1.3.15
Release:        %autorelease
Summary:        Django library to help interaction with Mailman

License:        GPL-3.0-or-later
URL:            https://gitlab.com/mailman/django-mailman3
Source:         %{pypi_source django_mailman3}
Patch:          django-mailman3-localdeps.patch
# Allow Django 5.2, for Python 3.14 compatibility
Patch:          django-mailman3-django52.patch

BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools

%global _description %{expand:
This package contains libraries and templates for Django-based interfaces
interacting with Mailman.

To use this application, add django_mailman3 to the INSTALLED_APPS list in your
Django server’s settings file.}

%description %{_description}


%package -n python%{python3_pkgversion}-django-mailman3
Summary:        %{summary}

%description -n python%{python3_pkgversion}-django-mailman3 %{_description}


%prep
%autosetup -p1 -n django_mailman3-%{version}


%generate_buildrequires
%pyproject_buildrequires -t


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files django_mailman3


%check
# Tests want to be run locally
PYTHONPATH=.:${PYTHONPATH} %pytest -v --deselect \
  django_mailman3/tests/test_signals.py::SignalsTestCase::test_social_account_added


%files -n  python%{python3_pkgversion}-django-mailman3 -f %{pyproject_files}
%license COPYING.txt
%doc README.rst


%changelog
## START: Generated by rpmautospec
* Fri Jun 27 2025 Michel Lind <salimma@fedoraproject.org> - 1.3.15-4
- Allow Django 5.2, for Python 3.14 compatibility
- Fixes: rhbz#2371869

* Fri Jun 27 2025 Python Maint <python-maint@redhat.com> - 1.3.15-3
- Rebuilt for Python 3.14

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.15-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Tue Sep 17 2024 Michel Lind <salimma@fedoraproject.org> - 1.3.15-1
- Update to version 1.3.15; Fixes: RHBZ#2245464

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.11-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu Jun 20 2024 Python Maint <python-maint@redhat.com> - 1.3.11-2
- Rebuilt for Python 3.13

* Thu Feb 29 2024 Michel Lind <salimma@fedoraproject.org> - 1.3.11-1
- Update to 1.3.11

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 1.3.9-1
- Update to 1.3.9
- Mark as compatible with Django 4.2
- Patch for running tests under Python 3.12 (rhbz#2220195)
- Use SPDX license identifier

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Feb 23 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 1.3.8-1
- Update to 1.3.8

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.7-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Oct 06 2022 Tomas Hrcka <thrcka@redhat.com> - 1.3.7-4
- Unretirement request: https://pagure.io/releng/issue/11072

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Dec 08 2021 Michel Alexandre Salim <salimma@fedoraproject.org> - 1.3.7-1
- Initial Fedora package
## END: Generated by rpmautospec
